# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.0.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-button@1.0.1...@billogram/foundation-button@1.0.2) (2020-01-22)

### Bug Fixes

* Use 4px border-radius ([41cb8169](https://github.com/billogram/frontend-foundation/commit/41cb8169))



## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-button@1.0.1) (2020-01-20)

### Bug Fixes

* Include mixin in files ([07db9b79](https://github.com/billogram/frontend-foundation/commit/07db9b79))
* Use correct janitor mappings ([cabd0bc3](https://github.com/billogram/frontend-foundation/commit/cabd0bc3))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))


### Features

* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Tweak disabled/loading state colors for buttons ([53eb76b5](https://github.com/billogram/frontend-foundation/commit/53eb76b5))
* Implement FoundationButton and FoundationLinkButton ([bc50f956](https://github.com/billogram/frontend-foundation/commit/bc50f956))
* Scaffold out @billogram/foundation-buttons ([757c46d5](https://github.com/billogram/frontend-foundation/commit/757c46d5))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-button@1.0.0) (2020-01-20)

### Bug Fixes

* Use correct janitor mappings ([cabd0bc3](https://github.com/billogram/frontend-foundation/commit/cabd0bc3))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))


### Features

* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Tweak disabled/loading state colors for buttons ([53eb76b5](https://github.com/billogram/frontend-foundation/commit/53eb76b5))
* Implement FoundationButton and FoundationLinkButton ([bc50f956](https://github.com/billogram/frontend-foundation/commit/bc50f956))
* Scaffold out @billogram/foundation-buttons ([757c46d5](https://github.com/billogram/frontend-foundation/commit/757c46d5))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.
