/// <reference types="react" />
export interface FoundationButtonClickHandler {
    (evt: React.MouseEvent<HTMLButtonElement>): void;
}
export interface FoundationLinkButtonClickHandler {
    (evt: React.MouseEvent<HTMLAnchorElement>): void;
}
export declare type FoundationButtonType = 'button' | 'reset' | 'submit';
export declare type FoundationButtonUI = 'blue' | 'gray' | 'red' | 'purple';
export interface FoundationButtonProps {
    autoFocus?: boolean;
    children: React.ReactNode;
    disabled?: boolean;
    loading?: boolean;
    onClick?: FoundationButtonClickHandler;
    toggled?: boolean;
    type?: FoundationButtonType;
    ui?: FoundationButtonUI;
}
export interface FoundationButtonSpinnerProps {
    visible: boolean;
}
export interface FoundationLinkButtonProps {
    children: React.ReactNode;
    disabled?: boolean;
    href: string;
    onClick?: FoundationLinkButtonClickHandler;
    target?: string;
    toggled?: boolean;
    ui?: FoundationButtonUI;
}
